Skip to content

getAbility

READ

Get ability.

POST /api/v1/resources/getAbility
curl -X POST '<your-host>/api/v1/resources/getAbility' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "abilityId": "string"
  }'
Response
{
  "id": "string",
  "name": "string",
  "employeeAbility": [
    {
      "id": "string",
      "employeeId": "string",
      "lastTrainingDate": "string",
      "expiresAt": "string"
    }
  ],
  "active": true,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "curve": "…",
  "processId": "string",
  "recertifyEveryDays": 0,
  "shadowWeeks": 0,
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "abilityId": {
      "type": "string"
    }
  },
  "required": [
    "abilityId"
  ]
}